<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInUsersTableCustom extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(Schema::hasTable('users')){
            Schema::table('users', function (Blueprint $table) {
                if (!Schema::hasColumn('users', 'stripe_id')){
                    $table->string('stripe_id')->nullable()->index();
                }
                if (!Schema::hasColumn('users', 'card_brand')){
                    $table->string('card_brand')->nullable();
                }
                if (!Schema::hasColumn('users', 'card_last_four')){
                    $table->string('card_last_four', 4)->nullable();
                }
                if (!Schema::hasColumn('users', 'trial_ends_at')){
                    $table->timestamp('trial_ends_at')->nullable();
                }
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
       Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'stripe_id',
                'card_brand',
                'card_last_four',
                'trial_ends_at',
            ]);
        });
    }
}
